Summary:	GNOME Shell extension for no overview at start-up
Name:		gnome-shell-extension-no-overview
Version:	48
Release:	1
License:	GPL v3+
Source0:	https://github.com/fthx/no-overview/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2d60ad9d0b07f9a8ba04a9028bddd7e8
URL:		https://extensions.gnome.org/extension/4099/no-overview/
BuildArch:	noarch

%define		extuuid		no-overview@fthx

%description
GNOME Shell extension for no overview at start-up.

%prep
%setup -q -n no-overview-%{version}

%build
# Nothing to build here

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions/%{extuuid}

# install main extension files
cp -p *.js metadata.json \
  $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions/%{extuuid}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/gnome-shell/extensions/%{extuuid}
%changelog
* Tue Jun 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell-extension-no-overview.git;a=log;h=master

* Wed Jun 25 2025 Jan Rękorajski <baggins@pld-linux.org> 0e2541d
- new

